## FirebaseMFA
1. Project shows how to use Firebase MFA (multi factor authentication) where second factor is Phone SMS/OTP based provider.
    1. [ADR Document](https://docs.google.com/document/d/1QjFuOuzaWFWm3UjwjF9mtkIweFwwR6oli0LR3j7qXjE/edit?usp=sharing)
2. This project also shows how to use `Coordinator` navigation pattern in `SwiftUI`. 
3. This project also includes examples of unit tests for navigation and `SwiftUI` views. [ViewInspector](https://github.com/nalexn/ViewInspector) library is used.
4. Sign In With Apple (and together with MFA)
5. Privacy Overlay on Home flow


## Videos

### Email/Password

1. Sign up and then add 2 factor authentication

https://user-images.githubusercontent.com/7702356/160185678-e3287593-649a-4433-8750-6bbf55bc7169.MP4

2. Login with 2 steps required

https://user-images.githubusercontent.com/7702356/160185859-17cbee8a-cbf0-4120-bb1c-ed8468eb6879.MP4

3.1. Delete right after login

https://user-images.githubusercontent.com/7702356/160185908-d4838822-78d7-411d-8f67-be543ba121de.MP4

3.2. Delete user might require login first

https://user-images.githubusercontent.com/7702356/160185915-763ae019-dd9c-43e9-b803-11d7d3cd5bcc.MP4

4. Add 2 factor might require login first

https://user-images.githubusercontent.com/7702356/160185919-0321206e-c270-43a0-9a3a-69ac775ec461.MP4

### Sign In With Apple with MFA


https://user-images.githubusercontent.com/7702356/168294779-3e254639-23bc-40ff-a322-5376a5eb9064.MP4


### Privacy overlay

https://user-images.githubusercontent.com/35998459/176178291-e593e47e-02dd-4ab5-a2fb-614e3b773989.mov
