//
//  Environment.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 25.03.2022.
//

import Foundation

enum Environment {
    case production
    case debug
    case testing

    static var current: Environment {
        #if DEBUG
        return .debug
        #elseif TESTING
        return .testing
        #else
        return .production
        #endif
    }

    static var testEmail: String {
        switch current {
        case .debug:
            return "roman+poc@stayopn.com"
        default:
            return ""
        }
    }
    static var testPassword: String {
        switch current {
        case .debug:
            return "123456"
        default:
            return ""
        }
    }
    static var testPhoneNumber: String {
        switch current {
        case .debug:
            return "+16505554567"
        default:
            return ""
        }
    }
    static var testOTP: String {
        switch current {
        case .debug:
            return "123456"
        default:
            return ""
        }
    }
}
