//
//  AppCoordinatorView.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 22.03.2022.
//

import SwiftUI
import SwiftUINavigation

struct AppCoordinatorView: View {
    @ObservedObject var coordinator: AppCoordinator

    var body: some View {
        Group {
            switch coordinator.route {
            case .splash(let viewModel):
                SplashView(viewModel: viewModel)
                    .transition(.opacity)
            case .signUp(let coordinator):
                SignUpCoordinatorView(coordinator: coordinator)
                    .transition(.opacity)
            case .verifyEmail(let coordinator):
                VerifyEmailCoordinatorView(coordinator: coordinator)
                    .transition(.opacity)
            case .home(let coordinator):
                HomeCoordinatorView(coordinator: coordinator)
                    .transition(.opacity)
            case .none:
                EmptyView()
                    .transition(.opacity)
            }
        }
    }
}

