//
//  LoginCoordinatorView.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 24.03.2022.
//

import SwiftUI
import SwiftUINavigation

struct LoginCoordinatorView: View {
    @ObservedObject var coordinator: LoginCoordinator

    var body: some View {
        ZStack {
            LoginView(viewModel: coordinator.loginViewModel)

            NavigationLink(unwrapping: $coordinator.route, case: /LoginCoordinator.Route.verifyEmail) { $coordinator in
                VerifyEmailCoordinatorView(coordinator: coordinator)
            } onNavigate: { _ in } label: { }

            NavigationLink(unwrapping: $coordinator.route, case: /LoginCoordinator.Route.phoneNumber) { $coordinator in
                PhoneNumberCoordinatorView(coordinator: coordinator)
            } onNavigate: { _ in } label: { }
        }
    }
}

