//
//  PhoneNumberCoordinatorView.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 24.03.2022.
//

import SwiftUI
import SwiftUINavigation

struct PhoneNumberCoordinatorView: View {
    @ObservedObject var coordinator: PhoneNumberCoordinator

    var body: some View {
        ZStack {
            PhoneNumberView(viewModel: coordinator.viewModel)

            NavigationLink(unwrapping: $coordinator.route, case: /PhoneNumberCoordinator.Route.otp) { $viewModel in
                OTPView(viewModel: viewModel)
            } onNavigate: { _ in } label: { }

            NavigationLink(unwrapping: $coordinator.route, case: /PhoneNumberCoordinator.Route.loginRequired) { $coordinator in
                LoginCoordinatorView(coordinator: coordinator)
            } onNavigate: { _ in } label: { }
        }
    }
}


