//
//  SignUpCoordinatorView.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 24.03.2022.
//

import SwiftUI
import SwiftUINavigation

struct SignUpCoordinatorView: View {
    @ObservedObject var coordinator: SignUpCoordinator

    var body: some View {
        NavigationView {
            ZStack {
                SignUpView(viewModel: coordinator.signUpViewModel)

                NavigationLink(unwrapping: $coordinator.route, case: /SignUpCoordinator.Route.verifyEmail) { $coordinator in
                    VerifyEmailCoordinatorView(coordinator: coordinator)
                } onNavigate: { _ in } label: { }

                NavigationLink(unwrapping: $coordinator.route, case: /SignUpCoordinator.Route.login) { $coordinator in
                    LoginCoordinatorView(coordinator: coordinator)
                } onNavigate: { _ in } label: { }
            }
        }.navigationViewStyle(.stack)
    }
}
