//
//  LaunchView.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 21.03.2022.
//

import SwiftUI

struct SplashView: View {

    @ObservedObject var viewModel: SplashViewModel

    init(viewModel: SplashViewModel) {
        self.viewModel = viewModel
    }

    var body: some View {
        VStack {
            ProgressView()
                .padding()
            Text("Launching...")
                .padding()
        }
        .frame(width: UIScreen.main.bounds.width, height: UIScreen.main.bounds.height)
        .background(Color.blue)
        .onAppear {
            viewModel.onAppear()
        }
    }
}

struct LaunchView_Previews: PreviewProvider {
    static var previews: some View {
        SplashView(viewModel: SplashViewModel())
    }
}
