//
//  LazyView.swift
//  iOSPOCs
//
//  Created by Roman Sorochak on 22.03.2022.
//

import SwiftUI

struct LazyView<Content: View>: View {
    private let build: () -> Content

    init(_ build: @autoclosure @escaping () -> Content) {
        self.build = build
    }

    var body: Content {
        build()
    }
}
