//
//  SignUpCoordinatorViewTests.swift
//  iOSPOCsTests
//
//  Created by Roman Sorochak on 30.03.2022.
//

import ViewInspector
import XCTest
import SwiftUI
@testable import iOSPOCs

extension SignUpView: Inspectable { }
extension LoginCoordinatorView: Inspectable { }

final class SignUpCoordinatorViewTests: XCTestCase {

    func test_initialView() throws {
        let sut = SignUpCoordinatorView(coordinator: SignUpCoordinator(onResult: { _ in }))

        let view = try sut.inspect().find(SignUpView.self).actualView()
        XCTAssertNotNil(view)
    }

    func test_navigationLinkToVerifyEmailCoordinatorView() throws {
        let coordinator = SignUpCoordinator(onResult: { _ in })
        let sut = SignUpCoordinatorView(coordinator: coordinator)

        coordinator.signUpViewModel.onResult?(.userIsSignedUp)

        let nextView = try sut.inspect().navigationView().zStack(0)
            .navigationLink(1).view(VerifyEmailCoordinatorView.self).actualView()
        XCTAssertNotNil(nextView)
    }

    func test_navigationLinkToLoginCoordinatorView() throws {
        let coordinator = SignUpCoordinator(onResult: { _ in })
        let sut = SignUpCoordinatorView(coordinator: coordinator)

        coordinator.signUpViewModel.onResult?(.userLoginAction)

        let nextView = try sut.inspect().navigationView().zStack(0)
            .navigationLink(2).view(LoginCoordinatorView.self).actualView()
        XCTAssertNotNil(nextView)
    }
}
